Main Page Packages Class Hierarchy Compound List File List Compound Members

# entitygetpublicidnull Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| entitygetpublicidnull (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getPublicId()" method of an Entity node contains the public identifier associated with the entity, if one was not specified a null value should be returned.

Retrieve the entity named "ent1" and access its public identifier. Since a public identifier was not specified for this entity, the "getPublicId()" method should return null.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-D7303025

Definition at line 46 of file entitygetpublicidnull.java.

## Constructor & Destructor Documentation

entitygetpublicidnull::entitygetpublicidnull | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 48 of file entitygetpublicidnull.java.
    00049  {
    00050       super(factory);
    00051
    00052    }

## Member Function Documentation

String entitygetpublicidnull::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 68 of file entitygetpublicidnull.java.
    00068                                 {
    00069       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/entitygetpublicidnull";
    00070    }

void entitygetpublicidnull::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 71 of file entitygetpublicidnull.java. References DOMTestCase::doMain().
    00071                                           {
    00072         DOMTestCase.doMain(entitygetpublicidnull.class,args);
    00073    }

void entitygetpublicidnull::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 54 of file entitygetpublicidnull.java. References DOMTestCase::assertNull(), and DOMTest::load().
    00054                                                     {
    00055       Document doc;
    00056       DocumentType docType;
    00057       NamedNodeMap entityList;
    00058       Entity entityNode;
    00059       String publicId;
    00060       doc = load("staff");
    00061       docType = doc.getDoctype();
    00062       entityList = docType.getEntities();
    00063       entityNode = (Entity)entityList.getNamedItem("ent1");
    00064       publicId = entityNode.getPublicId();
    00065       assertNull("entityGetPublicIdNullAssert",publicId);
    00066
    00067    }

The documentation for this class was generated from the following file:

- entitygetpublicidnull.java